export const GuildError = ({ message }: { message: string }) => {
    return (
        <div class="hero is-fullheight">
            <div class="hero-body">
                <div class="container has-text-centered">
                    <p class="title">We couldn't get this server's data</p>
                    <p class="subtitle">
                        The bot may have just been restarted, in which case please try again in a
                        few minutes.
                        <br />
                        <br />
                        Otherwise, please check Reminder Bot is in the server, and has correct
                        permissions.
                        <br />
                        <br />
                        Error code: <code>{message}</code>
                    </p>
                    <a
                        class="button is-size-4 is-rounded is-success"
                        href="https://invite.reminder-bot.com"
                    >
                        <p class="is-size-4">
                            <span>Add to Server</span>{" "}
                            <span class="icon">
                                <i class="fas fa-chevron-right"></i>
                            </span>
                        </p>
                    </a>
                </div>
            </div>
        </div>
    );
};
