import { useReminder } from "./ReminderContext";

export const TTS = () => {
    const [{ tts }, setReminder] = useReminder();

    return (
        <div class="is-boxed">
            <label class="label">
                Enable TTS{" "}
                <input
                    type="checkbox"
                    name="tts"
                    checked={tts}
                    onInput={(ev) => {
                        setReminder((reminder) => ({
                            ...reminder,
                            tts: ev.currentTarget.checked,
                        }));
                    }}
                ></input>
            </label>
        </div>
    );
};
