import { Username } from "./Username";
import { Content } from "./Content";
import { Embed } from "./Embed";
import { Avatar } from "./Avatar";

export const Message = () => (
    <div class="column discord-frame">
        <article class="media">
            <figure class="media-left">
                <p class="image is-32x32 customizable">
                    <Avatar />
                </p>
            </figure>
            <div class="media-content">
                <div class="content">
                    <Username />
                    <Content />
                    <Embed />
                </div>
            </div>
        </article>
    </div>
);
